LibreOffice: CustomPresentationAccess Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
CustomPresentationAccess Service Referencepublished

This is a container for custom presentations. More...

Inheritance diagram for CustomPresentationAccess:

## Exported Interfaces
interface | com::sun::star::container::XNameContainer
| This is the container of the custom presentations.
interface | com::sun::star::lang::XSingleServiceFactory
| This interface lets you create empty instances of the service CustomPresentation.

## Additional Inherited Members
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name.
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name.
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XSingleServiceFactory
com::sun::star::uno::XInterface | createInstance () raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation.
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation initialized with some arguments.

## Detailed Description

This is a container for custom presentations.

Developers Guide
  Drawings and Presentations - Custom Slide Show

## Exported Interfaces

## ◆ com::sun::star::container::XNameContainer

interface com::sun::star::container::XNameContainer

This is the container of the custom presentations.

Each instance in this container implements the service CustomPresentation.

The methods insertByName and replaceByName both replace the name of the given CustomPresentation

## ◆ com::sun::star::lang::XSingleServiceFactory

interface com::sun::star::lang::XSingleServiceFactory

This interface lets you create empty instances of the service CustomPresentation.

These services are needed for the `insertByName` and `replaceByName` methods of this service com::sun::star::container::XNameContainer interface.

The documentation for this service was generated from the following file:

- com/sun/star/presentation/CustomPresentationAccess.idl